Skip to navigation

Chat

View as Markdown

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

Generated from CreateChatCompletionRequest plus Sikaru extensions; unknown fields are rejected.

messageslist of maps from strings to anyRequired
modelstringRequired
streamfalseRequired
audiomap from strings to any or nullOptional
frequency_penaltydouble or nullOptional-2-2
function_callstring or map from strings to any or nullOptional
functionslist of maps from strings to any or nullOptional
include_reasoningboolean or nullOptional
logit_biasmap from strings to any or nullOptional
logprobsboolean or nullOptional
max_completion_tokensinteger or nullOptional
max_tokensinteger or nullOptional
metadatamap from strings to any or nullOptional
min_pdouble or nullOptional0-1
modalitieslist of strings or nullOptional
modelslist of strings or nullOptional
moderationmap from strings to any or nullOptional
ninteger or nullOptional1-128
parallel_tool_callsboolean or nullOptional
predictionmap from strings to any or nullOptional
presence_penaltydouble or nullOptional-2-2
prompt_cache_keystring or nullOptional<=1024 characters
prompt_cache_optionsmap from strings to any or nullOptional
prompt_cache_retentionstring or nullOptional
providermap from strings to any or nullOptional
reasoningmap from strings to any or nullOptional
reasoning_effortboolean or integer or string or nullOptional
reasoning_historyenum or nullOptional
Allowed values:
repetition_penaltydouble or nullOptional
response_formatmap from strings to any or nullOptional
routestring or nullOptional
safety_identifierstring or nullOptional<=128 characters
seedinteger or nullOptional
service_tierstring or nullOptional
stopstring or list of strings or nullOptional
storeboolean or nullOptional
stream_optionsmap from strings to any or nullOptional
temperaturedouble or nullOptional0-2
thinkingmap from strings to any or nullOptional
tool_choicestring or map from strings to any or nullOptional
toolslist of maps from strings to any or nullOptional
top_kinteger or nullOptional>=0
top_logprobsinteger or nullOptional0-20
top_pdouble or nullOptional0-1
transformslist of strings or nullOptional
typical_pdouble or nullOptional0-1
usagemap from strings to any or nullOptional
userstring or nullOptional
verbositystring or nullOptional
web_search_optionsmap from strings to any or nullOptional

Response

idstring
objectstring
choiceslist of objects or nullOptional
createdinteger or nullOptional
modelstring or nullOptional
usageobject or nullOptional

Public CreateChatCompletionResponse fields at this level (CHAT_USAGE_FIELDS); the projection omits the rest.